This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 621721 - Invalid revision in translations gets picked up late in package/build process
Invalid revision in translations gets picked up late in package/build process
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-05 18:47 EDT by Jeff Fearn
Modified: 2010-11-23 23:17 EST (History)
4 users (show)

See Also:
Fixed In Version: publican-2.2-0.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-08 16:42:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2010-08-05 18:47:02 EDT
Description of problem:
For translations the package revision is set in the *_Type.po file via the Project-Id-Version entry. If this value is invalid it does not get detected until the binary package is being built.

Version-Release number of selected component (if applicable):
2.1

How reproducible:
100%

Steps to Reproduce:
1. Find a translated book
2. set Project-Id-Version to an invalid revision text
3. create SRPM

Actual results:
The invalid revision is not detected.

Expected results:
The invalid revision is detected.

Additional info:
It appears that the SRPM has an invalid NVR as well

e.g.
Release:       %{?dist}
Comment 1 Jeff Fearn 2010-08-05 20:31:07 EDT
Fixed validation of revision in 'sub package'.

Will now output:

$ publican package --lang es-ES

DEBUG: Publican: config loaded
Running clean process to ensure stale content is not bundled in packages.
Clean: Removing tmp and publish directories.
Project-Id-Version 'Book_Info\n' in es-ES/Book_Info.po is not a valid release value. at /usr/bin/publican line 641


Fixed in Build 2.1-0%{?dist}.t20
Comment 2 Ruediger Landmann 2010-08-06 01:36:27 EDT
Publican 2.1.t26 catches invalid values of Project-Id-Version very shortly after you run publican package.

However, when "Project-Id-Version" is set to 0, validation also fails.
Comment 3 Jeff Fearn 2010-08-06 02:01:26 EDT
Good old zero, always forgotten.

Fixed zero in build: 2.1-0%{?dist}.t29
Comment 4 Ruediger Landmann 2010-08-07 09:11:19 EDT
Confirmed that "Project-Id-Version: 0" gets packaged correctly in build: 2.1-0%{?dist}.t29
Comment 5 Fedora Update System 2010-10-06 01:48:44 EDT
publican-2.2-0.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc13
Comment 6 Fedora Update System 2010-10-06 01:50:03 EDT
publican-2.2-0.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc12
Comment 7 Fedora Update System 2010-10-06 01:50:06 EDT
publican-2.2-0.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc14
Comment 8 Fedora Update System 2010-10-08 16:40:10 EDT
publican-2.2-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.